import httpRequest from '@/utils/axios'

/**
 * 获取权限列表
 */
export function getPermissionList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/permissions`, { params })
}

/**
 * 创建权限
 */
export function createPermission(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/permission`, data)
}

/**
 * 修改权限
 */
export function updatePermission(data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/${data.id}/permission`, data)
}

/**
 * 批量删除权限
 */
export function deletePermissions(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/batch-delete/permissions`, data)
}
