import httpRequest from '@/utils/axios'

/**
 * 获取成员列表
 */
export function getUserList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/users`, { params })
}

/**
 * 获取角色列表
 */
export function getRoleList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/roles`, { params })
}

/**
 * 创建成员
 */
export function createUser(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/user`, data)
}

/**
 * 修改成员
 */
export function updateUser(data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/${data.id}/user`, data)
}

/**
 * 修改成员状态
 */
export function updateUserStatus(data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/${data.id}/user-status`, data)
}

/**
 * 批量删除成员
 */
export function deleteUsers(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/batch-delete/users`, data)
}

/**
 * 创建应用管理员
 */
export function createAppAdminUsers(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/assign/users-to-app`, data)
}
